cloudstack-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CLOUDSTACK-9736) Incoherent validation and error message when you change the vm.password.length configuration parameter
Date Wed, 11 Jan 2017 12:31:58 GMT

    [ https://issues.apache.org/jira/browse/CLOUDSTACK-9736?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15818179#comment-15818179
] 

ASF GitHub Bot commented on CLOUDSTACK-9736:
--------------------------------------------

GitHub user milamberspace opened a pull request:

    https://github.com/apache/cloudstack/pull/1902

    CLOUDSTACK-9736 Incoherent validation and error message when you chan…

    …ge the vm.password.length configuration parameter
    
    Default value introduce in schema-430to440.sql are 6 for the length
    
    
    Probably needs to be merge with LTS branch (4.9) and other since 4.4

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/milamberspace/cloudstack PasswordLengthFix

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/cloudstack/pull/1902.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #1902
    
----
commit 9d3d3b4c24500986b3286baf4a3b2bb1d4f32611
Author: Milamber <milamber@apache.org>
Date:   2017-01-11T12:29:09Z

    CLOUDSTACK-9736 Incoherent validation and error message when you change the vm.password.length
configuration parameter
    
    Default value introduce in schema-430to440.sql are 6 for the length

----


> Incoherent validation and error message when you change the vm.password.length configuration
parameter
> ------------------------------------------------------------------------------------------------------
>
>                 Key: CLOUDSTACK-9736
>                 URL: https://issues.apache.org/jira/browse/CLOUDSTACK-9736
>             Project: CloudStack
>          Issue Type: Bug
>      Security Level: Public(Anyone can view this level - this is the default.) 
>          Components: Management Server
>    Affects Versions: 4.7.0, 4.8.0, 4.9.0, 4.10.0.0
>            Reporter: Milamber
>            Assignee: Milamber
>            Priority: Minor
>             Fix For: 4.10.0.0
>
>
> When you try to change the value of vm.password.length parameters, if the value is <
10 the error message says:
> "Please enter a value greater than 6 for the configuration parameter"
> In the code server/src/com/cloud/configuration/ConfigurationManagerImpl.java the validation
use 10 as length and the message says 6 for length:
>                 if ("vm.password.length".equalsIgnoreCase(name) && val < 10)
{
>                     throw new InvalidParameterValueException("Please enter a value greater
than 6 for the configuration parameter:" + name);



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message